## org.gjt.sp.jedit.gui
Interface CompletionPopup.Candidates

Enclosing class:
  CompletionPopup

    public static interface CompletionPopup.Candidates

Candidates of completion.

Method Summary
`void` `complete(int index)` Do the completion.
`java.awt.Component` `getCellRenderer(javax.swing.JList list, int index, boolean isSelected, boolean cellHasFocus)` Returns a component to render a cell for the index in the popup.
`java.lang.String` `getDescription(int index)` Returns a description text shown when the index is selected in the popup, or null if no description is available.
`int` `getSize()` Returns the number of candidates.
`boolean` `isValid()` Returns whether this completion is still valid.

Method Detail

### getSize

    int getSize()

  Returns the number of candidates.

### isValid

    boolean isValid()

  Returns whether this completion is still valid.

### complete

    void complete(int index)

  Do the completion.

### getCellRenderer

    java.awt.Component getCellRenderer(javax.swing.JList list,
                                       int index,
                                       boolean isSelected,
                                       boolean cellHasFocus)

  Returns a component to render a cell for the index in the popup.

### getDescription

    java.lang.String getDescription(int index)

  Returns a description text shown when the index is selected in the popup, or null if no description is available.